## Apache Zeta Components Manual :: Docs For Class ezcConsoleMenuDialogValidator

### ConsoleTools::ezcConsoleMenuDialogValidator

### Interface ezcConsoleMenuDialogValidator

Interface that every console menu dialog validator class must implement.

Source for this file: /ConsoleTools/src/interfaces/menu_dialog_validator.php

    ezcConsoleDialogValidator
       |
       --ezcConsoleQuestionDialogValidator
          |
          --ezcConsoleMenuDialogValidator

Version: | //autogen//

### Inherited Constants

From ezcConsoleDialogValidator:
`ezcConsoleDialogValidator::CONVERT_LOWER` | Convert result to lower-case.
`ezcConsoleDialogValidator::CONVERT_NONE` | Perform no conversion on the result.
`ezcConsoleDialogValidator::CONVERT_UPPER` | Convert result to upper-case.

### Method Summary

public array(string=>string) | `getElements( )` Returns an array of the elements to display.

### Inherited Methods

From ezcConsoleQuestionDialogValidator
public string | `ezcConsoleQuestionDialogValidator::getResultString()` Returns a string of possible results to be displayed with the question.
From ezcConsoleDialogValidator
public mixed | `ezcConsoleDialogValidator::fixup()` Returns a fixed version of the result, if possible.
public bool | `ezcConsoleDialogValidator::validate()` Returns if the given result is valid.

### Methods

#### getElements

array(string=>string) getElements( )

Returns an array of the elements to display.

Documentation generated by phpDocumentor 1.4.3